Show / Hide Table of Contents

# Class LogPrinter

The log printer's base class.

##### Inheritance

Object
LogPrinter
ColoredConsolePrinter
ColorlessConsolePrinter
GZFilePrinter

##### Inherited Members

Object.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: IPA.Logging

###### Assembly: IPA.Loader.dll

##### Syntax

    public abstract class LogPrinter

### Properties

| Improve this Doc View Source

#### Filter

Provides a filter for which log levels to allow through.

##### Declaration

    public abstract Logger.LogLevel Filter { get; set; }

##### Property Value

Type | Description
--- | ---
Logger.LogLevel | the level to filter to

### Methods

| Improve this Doc View Source

#### EndPrint()

Called after the last print in a group. May be called multiple times. Use this to dispose file handles and the like.

##### Declaration

    public virtual void EndPrint()

| Improve this Doc View Source

#### Print(Logger.Level, DateTime, String, String)

Prints a provided message from a given log at the specified time.

##### Declaration

    public abstract void Print(Logger.Level level, DateTime time, string logName, string message)

##### Parameters

Type | Name | Description
--- | --- | ---
Logger.Level | level | the log level
DateTime | time | the time the message was composed
String | logName | the name of the log that created this message
String | message | the message

| Improve this Doc View Source

#### StartPrint()

Called before the first print in a group. May be called multiple times. Use this to create file handles and the like.

##### Declaration

    public virtual void StartPrint()

### Extension Methods

ReflectionUtil.SetPrivateField(Object, String, Object)
ReflectionUtil.GetPrivateField<T>(Object, String)
ReflectionUtil.SetPrivateProperty(Object, String, Object)
ReflectionUtil.InvokePrivateMethod(Object, String, Object[])
ReflectionUtil.InvokePrivateMethod<T>(Object, String, Object[])